<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'}">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="assets/js/vendor/viewer/viewer.min.css">
    <link rel="stylesheet" href="http://cdn.bootcss.com/leaflet/1.0.3/leaflet.css">
    <link rel="stylesheet" href="assets/superMap/js/geoman/leaflet-geoman.css">
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein">
    <div class="layui-card">
        <div class="layui-card-header">
            <span class="layui-breadcrumb" lay-filter="breadcrumb" style="visibility: visible;">
              <a class="close" href="javascript:void(0);">上级列表</a><span lay-separator="">/</span>
              <a href="javascript:void(0);"><cite>编辑内容</cite></a>
            </span>
        </div>
        <div class="layui-card-body" style="padding: 15px;">
            <form class="layui-form layui-form-pane" lay-filter="dataForm">
                <div class="layui-form-item">
                    <label class="layui-form-label">场所名称<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block">
                        <input type="text" id="placeName" name="placeName" class="layui-input" value="" placeholder="请输入场所名称"  maxlength="255" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item">
                    <input type="hidden" id="securityQuestionName" name="securityQuestionName" class="layui-input" value="" placeholder="请输入治安突出问题名称"  maxlength="20">
                    <input type="hidden" id="securityQuestionCode" name="securityQuestionCode" class="layui-input" value="" placeholder="请输入治安突出问题编码"  maxlength="2">
                    <label class="layui-form-label" style="width: 122px;">治安突出问题<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block layui-form" style="margin-left: 122px;" id="securityQuestionSelectTemplateBox" lay-filter="securityQuestionSelectTemplateBox"></div>
                    <script id="securityQuestionSelectTemplate" type="text/html">
                        <select id="securityQuestion" name="securityQuestion" lay-search lay-filter="securityQuestion" lay-verify="required">
                            <option value="">请选择治安突出问题</option>
                            {{# for(var i = 0, item; item = d[i++];) { }}
                            <option value="{{item.dataId}},{{item.dataSummary}}">{{item.dataName}}</option>
                            {{# } }}
                        </select>
                    </script>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">场所类型<span style="color: red;vertical-align: middle;">*</span></label>
                    <input type="hidden" id="placeTypeName" name="placeTypeName" class="layui-input" value="" placeholder="请输入场所类型名称"  maxlength="255">
                    <div class="layui-input-block layui-form" id="placeTypeSelectTemplateBox" lay-filter="placeTypeSelectTemplateBox"></div>
                    <script id="placeTypeSelectTemplate" type="text/html">
                        <select id="placeType" name="placeType" lay-filter="placeType" lay-verify="required" lay-search>
                            <option value="">请选择场所类型</option>
                            {{# for(var i = 0, item; item = d[i++];) { }}
                            <option value="{{item.dataId}}">{{item.dataName}}</option>
                            {{# } }}
                        </select>
                    </script>
                </div>
                <div class="layui-form-item" id="detailTypeDiv" style="display: none;">
                    <label class="layui-form-label">详细类型<span style="color: red;vertical-align: middle;">*</span></label>
                    <input type="hidden" id="detailTypeName" name="detailTypeName" class="layui-input" value="" placeholder="请输入详细类型名称"  maxlength="255">
                    <div class="layui-input-block layui-form" id="detailTypeSelectTemplateBox" lay-filter="detailTypeSelectTemplateBox"></div>
                    <script id="detailTypeSelectTemplate" type="text/html">
                        <select id="detailType" name="detailType" lay-filter="detailType" lay-verify="required" lay-search>
                            <option value="">请选择详细类型</option>
                            {{# for(var i = 0, item; item = d[i++];) { }}
                            <option value="{{item.dataId}}">{{item.dataName}}</option>
                            {{# } }}
                        </select>
                    </script>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">所属地区<span style="color: red;vertical-align: middle;">*</span></label>
                        <input type="hidden" id="areaCode" name="areaCode" class="layui-input" value="" placeholder="请输入地址编码"  maxlength="12">
                        <div class="layui-input-block">
                            <input type="text" id="areaName" name="areaName" class="layui-input" value="" placeholder="请输入地址名称"  maxlength="255" lay-verify="required">
                        </div>
                    </div>
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">所属网格<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block layui-form" id="gridSelectTemplateBox" lay-filter="gridSelectTemplateBox"></div>
                        <script id="gridSelectTemplate" type="text/html">
                            <select id="grid" name="grid" lay-filter="grid" lay-verify="required" lay-search>
                                <option value="">请选择网格</option>
                                {{# for(var i = 0, item; item = d[i++];) { }}
                                <option value="{{item.gridId}}">{{item.gridName}}</option>
                                {{# } }}
                            </select>
                        </script>
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">详细地址<span style="color: red;vertical-align: middle;">*</span></label>
                    <div class="layui-input-block">
                        <input type="text" id="address" name="address" class="layui-input" value="" placeholder="请输入详细地址"  maxlength="255" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg4">
                        <label class="layui-form-label">负责人<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block">
                            <input type="text" id="linkMan" name="linkMan" class="layui-input" value="" placeholder="请输入负责人"  maxlength="50" lay-verify="required">
                        </div>
                    </div>
                    <div class="layui-col-lg4">
                        <label class="layui-form-label" style="width: 137px;">负责人联系方式<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block" style="margin-left: 137px;">
                            <input type="text" id="linkPhone" name="linkPhone" class="layui-input" value="" placeholder="请输入负责人联系方式"  maxlength="20" lay-verify="required">
                        </div>
                    </div>
                    <div class="layui-col-lg4">
                        <label class="layui-form-label" style="width: 123px;">场所联系方式<span style="color: red;vertical-align: middle;">*</span></label>
                        <div class="layui-input-block" style="margin-left: 123px;">
                            <input type="text" id="phone" name="phone" class="layui-input" value="" placeholder="请输入联系方式"  maxlength="20" lay-verify="required">
                        </div>
                    </div>
                </div>
                <div class="layui-form-item layui-row">
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">经度</label>
                        <div class="layui-input-block">
                            <input type="text" id="longitude" name="longitude" class="layui-input" value="" placeholder="请输入经度"  maxlength="50">
                        </div>
                    </div>
                    <div class="layui-col-lg6">
                        <label class="layui-form-label">纬度</label>
                        <div class="layui-input-block">
                            <input type="text" id="latitude" name="latitude" class="layui-input" value="" placeholder="请输入纬度"  maxlength="50">
                        </div>
                    </div>
                </div>
                <div class="layui-row" id="mapDiv">
                    <div class="layui-col-md12 layui-col-sm12" style="padding: 0 0px;">
                        <div id="mapContainer" style="width: 100%;height: 350px;"></div>
                    </div>
                </div>
                <div class="layui-form-item layui-layout-admin">
                    <div class="layui-input-block">
                        <div class="layui-footer" style="left: 0;">
                            <button type="button" class="layui-btn" lay-submit lay-filter="submitForm">提交新增</button>
                            <button type="button" class="layui-btn layui-btn-primary close">返回上级</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<script src="http://cdn.bootcss.com/leaflet/1.0.3/leaflet.js"></script>
<script src="assets/superMap/js/iclient-leaflet.min.js"></script>
<script src="assets/superMap/js/geoman/leaflet-geoman.min.js"></script>
<script src="assets/js/vendor/wangEditor/wangEditor.min.js"></script>
<script src="assets/js/vendor/ckplayer/ckplayer/ckplayer.js"></script>
<script src="assets/js/vendor/viewer/viewer.min.js"></script>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'laydate', 'laytpl'], function(){
        var $ = layui.$;
        var form = layui.form;
        var laytpl = layui.laytpl;
        var laydate = layui.laydate;
        var keyPlaceId = top.restAjax.params(window.location.href).keyPlaceId;

        var wangEditor = window.wangEditor;
        var wangEditorObj = {};
        var viewerObj = {};
        var map;
        var marker;

        function initMap(longitude, latitude) {
            var url1 = 'https://iserver.supermap.io/iserver/services/map-china400/rest/maps/China';
            map = L.map('mapContainer', {
                crs: L.CRS.EPSG3857,
                center: {lon: 113.11412662267688, lat: 40.98896497581636},
                maxZoom: 18,
                zoom: 8,
                boxZoom: false,
                scrollWheelZoom: true,
                dragging: true,
                doubleClickZoom: false,
                zoomControl: false
            });
            L.control.zoom().addTo(map);
            L.control.scale().addTo(map);
            L.supermap.tiledMapLayer(url1, {noWrap: true}).addTo(map);
            marker = L.marker();
            var latLng = [latitude, longitude];
            marker = L.marker(latLng, {
                draggable:false,
                riseOnHover: true
            }).addTo(map)
            map.on('click',addPoint);
        }

        function addPoint(e){
            if(marker)map.removeLayer(marker);
            marker = L.marker(e.latlng, {
                draggable:false,
                riseOnHover: true
            }).addTo(map)
            $('#longitude').val(e.latlng.lng);
            $('#latitude').val(e.latlng.lat);
        }

        // 选择所在地
        $(document).on('click', '#areaName', function() {
            top.dialog.open({
                title: '选择地区',
                url: top.restAjax.path('route/mongo/area/get-select?areaName={areaName}', [encodeURI($('#areaName').val())]),
                width: '800px',
                height: '225px',
                onClose: function () {
                    var selectedAreaArray = top.dialog.dialogData.selectedAreaArray;
                    var areaCode = '';
                    var areaName = '';
                    if (selectedAreaArray.length > 0) {
                        areaCode = selectedAreaArray[selectedAreaArray.length - 1].areaCode;
                        for (var i = 0, item; item = selectedAreaArray[i++];) {
                            if (areaName) {
                                areaName += ',';
                            }
                            areaName += item.areaName;
                        }
                        $('#areaCode').val(areaCode);
                        $('#areaName').val(areaName);
                    }
                    initGridSelect(areaCode);
                }
            })
        });

        // 初始化地区网格
        function initGridSelect(areaCode, selectValue) {
            if(!areaCode) {
                laytpl(document.getElementById('gridSelectTemplate').innerHTML).render([], function(html) {
                    document.getElementById('gridSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'gridSelectTemplateBox');
                return;
            }
            top.restAjax.get(top.restAjax.path('api/grid/grid-list/{areaCode}', [areaCode]), {}, null, function(code, data, args) {
                laytpl(document.getElementById('gridSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('gridSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'gridSelectTemplateBox');

                var selectObj = {};
                selectObj['grid'] = selectValue;
                form.val('dataForm', selectObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        function closeBox() {
            parent.layer.close(parent.layer.getFrameIndex(window.name));
        }

        // 治安突出问题change事件
        form.on('select(securityQuestion)', function(data){
            if(!data.value) {

            }else {
                var valueArr = data.value.split(',');
                if(2 == valueArr.length) {
                    var name = $('#securityQuestion option:selected').text();
                    $('#securityQuestion option:selected').val(valueArr[0]);
                    $('#securityQuestionName').val(name);
                    $('#securityQuestionCode').val(valueArr[1]);
                }
            }
            form.render("select");
        });

        // 初始化治安突出问题字典表ID下拉选择
        function initSecurityQuestionSelect(selectValue) {
            top.restAjax.get(top.restAjax.path('api/mongo/data/list-all/parent-id/{dataParentId}', ['b356002b-7f51-4dd6-9f22-d517ea8a7671']), {}, null, function(code, data, args) {
                laytpl(document.getElementById('securityQuestionSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('securityQuestionSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'securityQuestionSelectTemplateBox');

                var selectObj = {};
                selectObj['securityQuestion'] = selectValue;
                form.val('dataForm', selectObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        form.on('select(placeType)', function(data){
            if(!data.value) {
                $('#detailTypeDiv').hide();
            }else {
                $('#detailTypeDiv').show();
                var value = data.value;
                initDetailTypeSelect(value, '');
                var name = $('#placeType option:selected').text();
                $('#placeTypeName').val(name);
            }
            form.render("select");
        });

        form.on('select(detailType)', function(data){
            if(!data.value) {

            }else {
                var value = data.value;
                var name = $('#detailType option:selected').text();
                $('#detailTypeName').val(name);
            }
            form.render("select");
        });

        function closeBox() {
            parent.layer.close(parent.layer.getFrameIndex(window.name));
        }

        // 初始化场所类型下拉选择
        function initPlaceTypeSelect(selectValue) {
            top.restAjax.get(top.restAjax.path('api/mongo/data/list-all/parent-id/{dataParentId}', ['aef51b83-80e0-44a8-88ba-b6bb987b3474']), {}, null, function(code, data, args) {
                laytpl(document.getElementById('placeTypeSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('placeTypeSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'placeTypeSelectTemplateBox');

                var selectObj = {};
                selectObj['placeType'] = selectValue;
                form.val('dataForm', selectObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化详细类型下拉选择
        function initDetailTypeSelect(parentValue, selectValue) {
            top.restAjax.get(top.restAjax.path('api/mongo/data/list-all/parent-id/{dataParentId}', [parentValue]), {}, null, function(code, data, args) {
                laytpl(document.getElementById('detailTypeSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('detailTypeSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'detailTypeSelectTemplateBox');

                var selectObj = {};
                selectObj['detailType'] = selectValue;
                form.val('dataForm', selectObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化内容
        function initData() {
            var loadLayerIndex;
            top.restAjax.get(top.restAjax.path('api/keyplace/get/{keyPlaceId}', [keyPlaceId]), {}, null, function(code, data) {
                var dataFormData = {};
                for(var i in data) {
                    dataFormData[i] = data[i] +'';
                }
                form.val('dataForm', dataFormData);
                form.render(null, 'dataForm');
                initPlaceTypeSelect(data['placeType']);
                if(null != data['placeType'] && '' != data['placeType'] && typeof(data['placeType']) != 'undefined') {
                    $('#detailTypeDiv').show();
                    initDetailTypeSelect(data['placeType'], data['detailType']);
                }
                initSecurityQuestionSelect(data['securityQuestion'] + ',' + data['securityQuestionCode']);
                initMap(data['longitude'], data['latitude']);
                initGridSelect(data['areaCode'], data['grid']);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            }, function() {
                loadLayerIndex = top.dialog.msg(top.dataMessage.loading, {icon: 16, time: 0, shade: 0.3});
            }, function() {
                top.dialog.close(loadLayerIndex);
            });
        }
        initData();
        
        // 提交表单
        form.on('submit(submitForm)', function(formData) {
            top.dialog.confirm(top.dataMessage.commit, function(index) {
                top.dialog.close(index);
                var loadLayerIndex;
                top.restAjax.put(top.restAjax.path('api/keyplace/update/{keyPlaceId}', [keyPlaceId]), formData.field, null, function(code, data) {
                    var layerIndex = top.dialog.msg(top.dataMessage.updateSuccess, {
                        time: 0,
                        btn: [top.dataMessage.button.yes, top.dataMessage.button.no],
                        shade: 0.3,
                        yes: function(index) {
                            top.dialog.close(index);
                            window.location.reload();
                        },
                        btn2: function() {
                            closeBox();
                        }
                    });
                }, function(code, data) {
                    top.dialog.msg(data.msg);
                }, function() {
                    loadLayerIndex = top.dialog.msg(top.dataMessage.committing, {icon: 16, time: 0, shade: 0.3});
                }, function() {
                    top.dialog.close(loadLayerIndex);
                });
            });
            return false;
        });

        $('.close').on('click', function() {
            closeBox();
        });
    });
</script>
</body>
</html>